<script setup lang="ts">
import {defaultProps} from "element-plus";
import {computed} from "vue";

const props = defineProps({
  type: {
    type: String,
    default: "primary"
  },
  iconClass: {
    type: String,
    default: "export"
  }
});
</script>

<template>
  <div class="hdw-button-wrapper" :class="{'warning': type==='warning'}">
    <div class="btn-icon">
      <svg-icon :icon-class="iconClass"></svg-icon>
    </div>
    <slot></slot>
  </div>
</template>

<style scoped lang="less">
.hdw-button-wrapper {
  user-select: none;
  display: inline-block;
  padding: 8px 12px;
  text-align: center;
  font-size: 16px;
  background-image: url("./images/primary-bg.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  cursor: pointer;
  &:hover {
    font-weight: 700;
  }
  &:active {
    color: #0BF9FE;
  }
  &.warning {
    background-image: url("./images/warning-bg.png");
  }
  .btn-icon {
    display: inline-block;
    font-size: 20px;
    margin-right: 8px;
  }
}
</style>
